# class Bundler::CLI::Remove

### Public Class Methods

new(gems, options) click to toggle source

    # File lib/bundler/cli/remove.rb, line 5
    def initialize(gems, options)
      @gems = gems
      @options = options
    end

### Public Instance Methods

run() click to toggle source

    # File lib/bundler/cli/remove.rb, line 10
    def run
      raise InvalidOption, "Please specify gems to remove." if @gems.empty?

      Injector.remove(@gems, {})

      Installer.install(Bundler.root, Bundler.definition) if @options["install"]
    end